import React, { Component } from 'react';
import DataTable from '@/components/common/DataTable';
import {Space, Tag} from "antd";
import {TableDropdown} from "@ant-design/pro-table";

class Billing extends Component{
  constructor(props) {
    super(props);
    this.state = {
      columns: [
        {
          title: '合同编号',
          dataIndex: 'contractNo',
          width: 200,
          lock: 'left',
          search: true,
        },
        {
          title: '订单编号',
          dataIndex: 'orderNo',
          width: 200,
        },
        {
          title: '客户名称',
          dataIndex: 'userName',
          render: text => {
            return text && text.length > 9 ? text.substr(0, 9) + '...' : text;
          },
        },
        {
          title: '订单部门',
          dataIndex: 'depName',
          width: 200,
        },
        {
          title: '下单时间',
          dataIndex: 'createDate',
        },
        {
          title: '合同签订时间',
          dataIndex: 'signDate',
          width: 200,
        },
      ]
    }
  }

  componentDidMount() {

  }

  render() {
    return (
      <div>
        <DataTable
          url={'/api/admin/newOrder/orderNewList'}
          rowKey={'orderNo'}
          columns={this.state.columns}
        />
      </div>
    );
  }
}

export default Billing;
